Subject: Re: Ethernet PHY chip discovery not working on 855T with 971/972 chips

From: Roland Dreier <[email-masked]>
Date: 14 Jul 2003 22:08:11 -0700

Matt> A 44x thing that would be nice is to abstract the PCI-X
    Matt> bridge support into a common call (or calls) so it can be
    Matt> configured into a variety of windowing modes...like
    Matt> alternative monarch memory maps or any non-monarch
    Matt> configurations.  Part of this would work would require that
    Matt> fixup_bigphys_addr() be made aware of these window changes.
    Matt> In addition it would be nice to have a helper function that
    Matt> sets the same values as the current hardcoded monarch
    Matt> configuration via the new abstracted interface since that is
    Matt> a common configuration.

That sounds doable, although I'm not sure how to test any non-monarch
support given the systems I have available.  In any case I'll start
taking a look at the current 2.5 sources and try to come up with a
proposal for the right PCI-X abstraction.

 - R.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/